package domain

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type WdkWarehouseOrderDispatchWorkOrderUnits struct {
	/*
	   门店编码     */
	ShopCode *string `json:"shop_code,omitempty" `

	/*
	   额外属性     */
	ExtMap *WdkWarehouseOrderDispatchExtMap `json:"ext_map,omitempty" `

	/*
	   作业子单列表     */
	WorkOrderUnitContents *[]WdkWarehouseOrderDispatchWorkOrderUnitContents `json:"work_order_unit_contents,omitempty" `

	/*
	   履约单号/订单号     */
	WorkOrderUnitId *string `json:"work_order_unit_id,omitempty" `

	/*
	   作业单最早送达时间     */
	EarliestArrivalTime *util.LocalTime `json:"earliest_arrival_time,omitempty" `

	/*
	   作业单最晚送达时间     */
	LatestArriveTime *util.LocalTime `json:"latest_arrive_time,omitempty" `

	/*
	   收货人对象     */
	Customer *WdkWarehouseOrderDispatchCustomer `json:"customer,omitempty" `

	/*
	   订单来源     */
	SourceFrom *int64 `json:"source_from,omitempty" `

	/*
	   订单号     */
	OrderCode *string `json:"order_code,omitempty" `
}

func (s *WdkWarehouseOrderDispatchWorkOrderUnits) SetShopCode(v string) *WdkWarehouseOrderDispatchWorkOrderUnits {
	s.ShopCode = &v
	return s
}
func (s *WdkWarehouseOrderDispatchWorkOrderUnits) SetExtMap(v WdkWarehouseOrderDispatchExtMap) *WdkWarehouseOrderDispatchWorkOrderUnits {
	s.ExtMap = &v
	return s
}
func (s *WdkWarehouseOrderDispatchWorkOrderUnits) SetWorkOrderUnitContents(v []WdkWarehouseOrderDispatchWorkOrderUnitContents) *WdkWarehouseOrderDispatchWorkOrderUnits {
	s.WorkOrderUnitContents = &v
	return s
}
func (s *WdkWarehouseOrderDispatchWorkOrderUnits) SetWorkOrderUnitId(v string) *WdkWarehouseOrderDispatchWorkOrderUnits {
	s.WorkOrderUnitId = &v
	return s
}
func (s *WdkWarehouseOrderDispatchWorkOrderUnits) SetEarliestArrivalTime(v util.LocalTime) *WdkWarehouseOrderDispatchWorkOrderUnits {
	s.EarliestArrivalTime = &v
	return s
}
func (s *WdkWarehouseOrderDispatchWorkOrderUnits) SetLatestArriveTime(v util.LocalTime) *WdkWarehouseOrderDispatchWorkOrderUnits {
	s.LatestArriveTime = &v
	return s
}
func (s *WdkWarehouseOrderDispatchWorkOrderUnits) SetCustomer(v WdkWarehouseOrderDispatchCustomer) *WdkWarehouseOrderDispatchWorkOrderUnits {
	s.Customer = &v
	return s
}
func (s *WdkWarehouseOrderDispatchWorkOrderUnits) SetSourceFrom(v int64) *WdkWarehouseOrderDispatchWorkOrderUnits {
	s.SourceFrom = &v
	return s
}
func (s *WdkWarehouseOrderDispatchWorkOrderUnits) SetOrderCode(v string) *WdkWarehouseOrderDispatchWorkOrderUnits {
	s.OrderCode = &v
	return s
}
